%global modulescope @babel
%global modulename @babel/template

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-template
Version:        7.1.2
Release:        1%{?dist}
Summary:        Generate an AST from a string template.

License:        MIT
URL:            https://babeljs.io/
Source0:        https://registry.npmjs.org/@babel/template/-/template-7.1.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/code-frame) >= 7.0.0 with npmlib(@babel/code-frame) < 8.0.0))
BuildRequires:  ((npmlib(@babel/parser) >= 7.1.2 with npmlib(@babel/parser) < 8.0.0))
BuildRequires:  ((npmlib(@babel/types) >= 7.1.2 with npmlib(@babel/types) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Generate an AST from a string template.

%package 7.1.2
Summary:        Generate an AST from a string template.


%description 7.1.2
Generate an AST from a string template.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.1.2
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 7.1.2-1
- Package automatically generated by npm2srpm
